package com.theitbulls.androidservicedemo;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import android.util.Log;
import android.widget.Toast;

import java.util.Date;

public class MyService extends Service {
    private boolean started;

    public MyService() {
    }

    @Override
    public IBinder onBind(Intent intent) {
        return null;
    }

    @Override
    public int onStartCommand(Intent intent, int flags, int startId) {
        if(started) {
            Log.d("Service", "Already started");
            Toast.makeText(getBaseContext(), "Already running", Toast.LENGTH_SHORT).show();
            return START_STICKY;
        }

        started = true;

        Log.d("Service", "Started at: " + new Date());
        Toast.makeText(getBaseContext(), "Service started at: " + new Date(), Toast.LENGTH_SHORT).show();
        return START_STICKY;
    }

    @Override
    public void onDestroy() {
        started = false;
        Log.d("Service", "Stoped at: " + new Date());
        Toast.makeText(getBaseContext(), "Service stoped at: " + new Date(), Toast.LENGTH_SHORT).show();
    }
}
